1# Makefile.in generated by automake 1.9.6 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17srcdir = @srcdir@
18top_srcdir = @top_srcdir@
19VPATH = @srcdir@
20pkgdatadir = $(datadir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23top_builddir = .
24am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25INSTALL = @INSTALL@
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37EXTRA_PROGRAMS =
38sbin_PROGRAMS = pptpd$(EXEEXT) pptpctrl$(EXEEXT) bcrelay$(EXEEXT)
39subdir = .
40DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
41	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
42	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
43	TODO install-sh missing mkinstalldirs
44ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45am__aclocal_m4_deps = $(top_srcdir)/configure.in
46am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
47	$(ACLOCAL_M4)
48am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
49 configure.lineno configure.status.lineno
50mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
51CONFIG_HEADER = config.h
52CONFIG_CLEAN_FILES =
53am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" \
54	"$(DESTDIR)$(man8dir)"
55sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
56PROGRAMS = $(sbin_PROGRAMS)
57am_bcrelay_OBJECTS = bcrelay.$(OBJEXT)
58bcrelay_OBJECTS = $(am_bcrelay_OBJECTS)
59bcrelay_LDADD = $(LDADD)
60am_pptpctrl_OBJECTS = pptpctrl.$(OBJEXT) ctrlpacket.$(OBJEXT) \
61	inststr.$(OBJEXT) compat.$(OBJEXT)
62pptpctrl_OBJECTS = $(am_pptpctrl_OBJECTS)
63am__DEPENDENCIES_1 =
64pptpctrl_DEPENDENCIES = $(am__DEPENDENCIES_1)
65am_pptpd_OBJECTS = pptpd.$(OBJEXT) configfile.$(OBJEXT) \
66	pptpmanager.$(OBJEXT) compat.$(OBJEXT) inststr.$(OBJEXT) \
67	getopt.$(OBJEXT) getopt1.$(OBJEXT)
68pptpd_OBJECTS = $(am_pptpd_OBJECTS)
69pptpd_DEPENDENCIES = $(am__DEPENDENCIES_1)
70DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
71depcomp =
72am__depfiles_maybe =
73COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
74	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
75CCLD = $(CC)
76LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
77SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
78DIST_SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
79man5dir = $(mandir)/man5
80man8dir = $(mandir)/man8
81NROFF = nroff
82MANS = $(man_MANS)
83ETAGS = etags
84CTAGS = ctags
85DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
86distdir = $(PACKAGE)-$(VERSION)
87top_distdir = $(distdir)
88am__remove_distdir = \
89  { test ! -d $(distdir) \
90    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
91         && rm -fr $(distdir); }; }
92DIST_ARCHIVES = $(distdir).tar.gz
93GZIP_ENV = --best
94distuninstallcheck_listfiles = find . -type f -print
95distcleancheck_listfiles = find . -type f -print
96ACLOCAL = @ACLOCAL@
97AMDEP_FALSE = @AMDEP_FALSE@
98AMDEP_TRUE = @AMDEP_TRUE@
99AMTAR = @AMTAR@
100AUTOCONF = @AUTOCONF@
101AUTOHEADER = @AUTOHEADER@
102AUTOMAKE = @AUTOMAKE@
103AWK = @AWK@
104CC = @CC@
105CCDEPMODE = @CCDEPMODE@
106CFLAGS = -O2 -fno-builtin -Wall -DSBINDIR='"$(sbindir)"' -I$(kernel_headers)
107CPP = @CPP@
108CPPFLAGS = @CPPFLAGS@
109CYGPATH_W = @CYGPATH_W@
110DEFS = @DEFS@
111DEPDIR = @DEPDIR@
112ECHO_C = @ECHO_C@
113ECHO_N = @ECHO_N@
114ECHO_T = @ECHO_T@
115EGREP = @EGREP@
116EXEEXT = @EXEEXT@
117GREP = @GREP@
118INSTALL_DATA = @INSTALL_DATA@
119INSTALL_PROGRAM = @INSTALL_PROGRAM@
120INSTALL_SCRIPT = @INSTALL_SCRIPT@
121INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
122LDFLAGS = @LDFLAGS@
123LIBOBJS = @LIBOBJS@
124LIBS = @LIBS@
125LN_S = @LN_S@
126LTLIBOBJS = @LTLIBOBJS@
127MAKEINFO = @MAKEINFO@
128OBJEXT = @OBJEXT@
129PACKAGE = @PACKAGE@
130PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
131PACKAGE_NAME = @PACKAGE_NAME@
132PACKAGE_STRING = @PACKAGE_STRING@
133PACKAGE_TARNAME = @PACKAGE_TARNAME@
134PACKAGE_VERSION = @PACKAGE_VERSION@
135PATH_SEPARATOR = @PATH_SEPARATOR@
136RANLIB = @RANLIB@
137SET_MAKE = @SET_MAKE@
138SHELL = @SHELL@
139STRIP = @STRIP@
140VERSION = @VERSION@
141XTRALIBS_CTRL = @XTRALIBS_CTRL@
142XTRALIBS_MGR = @XTRALIBS_MGR@
143XTRA_PROG = @XTRA_PROG@
144ac_ct_CC = @ac_ct_CC@
145am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
146am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
147am__include = @am__include@
148am__leading_dot = @am__leading_dot@
149am__quote = @am__quote@
150am__tar = @am__tar@
151am__untar = @am__untar@
152bindir = @bindir@
153build_alias = @build_alias@
154datadir = @datadir@
155datarootdir = @datarootdir@
156docdir = @docdir@
157dvidir = @dvidir@
158exec_prefix = @exec_prefix@
159host_alias = @host_alias@
160htmldir = @htmldir@
161includedir = @includedir@
162infodir = @infodir@
163install_sh = @install_sh@
164kernel_headers = @kernel_headers@
165libdir = @libdir@
166libexecdir = @libexecdir@
167localedir = @localedir@
168localstatedir = @localstatedir@
169mandir = @mandir@
170mkdir_p = @mkdir_p@
171oldincludedir = @oldincludedir@
172pdfdir = @pdfdir@
173prefix = @prefix@
174program_transform_name = @program_transform_name@
175psdir = @psdir@
176sbindir = @sbindir@
177sharedstatedir = @sharedstatedir@
178sysconfdir = @sysconfdir@
179target_alias = @target_alias@
180
181# We have our own, simpler dependencies stuff in 'reconf'
182AUTOMAKE_OPTIONS = no-dependencies foreign
183INCLUDES = -I.
184#CFLAGS = -O2 -fno-builtin -Wall -ansi -DSBINDIR='"$(sbindir)"'
185#CFLAGS = -O2 -fno-builtin -Wall -ansi -pedantic -Wmissing-prototypes -Werror -DSBINDIR='"$(sbindir)"'
186man_MANS = pptpd.8 pptpd.conf.5
187EXTRA_DIST = \
188html README* ChangeLog NEWS* TODO $(man_MANS) \
189samples/chap-secrets samples/options.pptpd samples/pptpd.conf \
190Makefile.uClinux config.embed.h version reconf \
191tools/pptp-portslave tools/vpnstats tools/vpnstats.pl tools/vpnuser \
192pptpd.init pptpd.spec makepackage \
193plugins/Makefile plugins/*.h plugins/*.c \
194debian/README.debian debian/changelog debian/conffiles debian/config \
195debian/control debian/copyright debian/dirs debian/docs \
196debian/examples debian/pptpd-options debian/pptpd.conf \
197debian/pptpd.init debian/pptpdconfig.pl debian/rules debian/templates \
198debian/po/POTFILES.in debian/po/fr.po debian/po/pt_BR.po \
199debian/po/templates.pot
200
201
202# Header files are only used to determine what to put in a distribution, not
203# for dependencies, so just attribute them all to pptpd.
204pptpd_SOURCES = \
205	pptpd.c configfile.c pptpmanager.c compat.c inststr.c getopt.c getopt1.c \
206	compat.h configfile.h ctrlpacket.h defaults.h inststr.h our_getopt.h \
207	our_syslog.h pptpdefs.h pptpmanager.h
208
209pptpctrl_SOURCES = \
210	pptpctrl.c ctrlpacket.c inststr.c compat.c
211
212pptpd_LDADD = $(XTRALIBS_MGR)
213pptpctrl_LDADD = $(XTRALIBS_CTRL)
214bcrelay_SOURCES = bcrelay.c defaults.h our_syslog.h our_getopt.h
215subdirs = plugins
216all: config.h
217	$(MAKE) $(AM_MAKEFLAGS) all-am
218
219.SUFFIXES:
220.SUFFIXES: .c .o .obj
221am--refresh:
222	@:
223$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
224	@for dep in $?; do \
225	  case '$(am__configure_deps)' in \
226	    *$$dep*) \
227	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
228	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
229		&& exit 0; \
230	      exit 1;; \
231	  esac; \
232	done; \
233	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
234	cd $(top_srcdir) && \
235	  $(AUTOMAKE) --foreign  Makefile
236.PRECIOUS: Makefile
237Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
238	@case '$?' in \
239	  *config.status*) \
240	    echo ' $(SHELL) ./config.status'; \
241	    $(SHELL) ./config.status;; \
242	  *) \
243	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
244	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
245	esac;
246
247$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
248	$(SHELL) ./config.status --recheck
249
250$(top_srcdir)/configure:  $(am__configure_deps)
251	cd $(srcdir) && $(AUTOCONF)
252$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
253	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
254
255config.h: stamp-h1
256	@if test ! -f $@; then \
257	  rm -f stamp-h1; \
258	  $(MAKE) stamp-h1; \
259	else :; fi
260
261stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
262	@rm -f stamp-h1
263	cd $(top_builddir) && $(SHELL) ./config.status config.h
264$(srcdir)/config.h.in:  $(am__configure_deps) 
265	cd $(top_srcdir) && $(AUTOHEADER)
266	rm -f stamp-h1
267	touch $@
268
269distclean-hdr:
270	-rm -f config.h stamp-h1
271install-sbinPROGRAMS: $(sbin_PROGRAMS)
272	@$(NORMAL_INSTALL)
273	test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
274	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
275	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
276	  if test -f $$p \
277	  ; then \
278	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
279	   echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
280	   $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
281	  else :; fi; \
282	done
283
284uninstall-sbinPROGRAMS:
285	@$(NORMAL_UNINSTALL)
286	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
287	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
288	  echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
289	  rm -f "$(DESTDIR)$(sbindir)/$$f"; \
290	done
291
292clean-sbinPROGRAMS:
293	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
294bcrelay$(EXEEXT): $(bcrelay_OBJECTS) $(bcrelay_DEPENDENCIES) 
295	@rm -f bcrelay$(EXEEXT)
296	$(LINK) $(bcrelay_LDFLAGS) $(bcrelay_OBJECTS) $(bcrelay_LDADD) $(LIBS)
297pptpctrl$(EXEEXT): $(pptpctrl_OBJECTS) $(pptpctrl_DEPENDENCIES) 
298	@rm -f pptpctrl$(EXEEXT)
299	$(LINK) $(pptpctrl_LDFLAGS) $(pptpctrl_OBJECTS) $(pptpctrl_LDADD) $(LIBS)
300pptpd$(EXEEXT): $(pptpd_OBJECTS) $(pptpd_DEPENDENCIES) 
301	@rm -f pptpd$(EXEEXT)
302	$(LINK) $(pptpd_LDFLAGS) $(pptpd_OBJECTS) $(pptpd_LDADD) $(LIBS)
303
304mostlyclean-compile:
305	-rm -f *.$(OBJEXT)
306
307distclean-compile:
308	-rm -f *.tab.c
309
310.c.o:
311	$(COMPILE) -c $<
312
313.c.obj:
314	$(COMPILE) -c `$(CYGPATH_W) '$<'`
315uninstall-info-am:
316install-man5: $(man5_MANS) $(man_MANS)
317	@$(NORMAL_INSTALL)
318	test -z "$(man5dir)" || $(mkdir_p) "$(DESTDIR)$(man5dir)"
319	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
320	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
321	for i in $$l2; do \
322	  case "$$i" in \
323	    *.5*) list="$$list $$i" ;; \
324	  esac; \
325	done; \
326	for i in $$list; do \
327	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
328	  else file=$$i; fi; \
329	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
330	  case "$$ext" in \
331	    5*) ;; \
332	    *) ext='5' ;; \
333	  esac; \
334	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
335	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
336	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
337	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
338	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst"; \
339	done
340uninstall-man5:
341	@$(NORMAL_UNINSTALL)
342	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
343	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
344	for i in $$l2; do \
345	  case "$$i" in \
346	    *.5*) list="$$list $$i" ;; \
347	  esac; \
348	done; \
349	for i in $$list; do \
350	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
351	  case "$$ext" in \
352	    5*) ;; \
353	    *) ext='5' ;; \
354	  esac; \
355	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
356	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
357	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
358	  echo " rm -f '$(DESTDIR)$(man5dir)/$$inst'"; \
359	  rm -f "$(DESTDIR)$(man5dir)/$$inst"; \
360	done
361install-man8: $(man8_MANS) $(man_MANS)
362	@$(NORMAL_INSTALL)
363	test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
364	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
365	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
366	for i in $$l2; do \
367	  case "$$i" in \
368	    *.8*) list="$$list $$i" ;; \
369	  esac; \
370	done; \
371	for i in $$list; do \
372	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
373	  else file=$$i; fi; \
374	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
375	  case "$$ext" in \
376	    8*) ;; \
377	    *) ext='8' ;; \
378	  esac; \
379	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
380	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
381	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
382	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
383	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
384	done
385uninstall-man8:
386	@$(NORMAL_UNINSTALL)
387	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
388	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
389	for i in $$l2; do \
390	  case "$$i" in \
391	    *.8*) list="$$list $$i" ;; \
392	  esac; \
393	done; \
394	for i in $$list; do \
395	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
396	  case "$$ext" in \
397	    8*) ;; \
398	    *) ext='8' ;; \
399	  esac; \
400	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
401	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
402	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
403	  echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
404	  rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
405	done
406
407ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
408	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
409	unique=`for i in $$list; do \
410	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
411	  done | \
412	  $(AWK) '    { files[$$0] = 1; } \
413	       END { for (i in files) print i; }'`; \
414	mkid -fID $$unique
415tags: TAGS
416
417TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
418		$(TAGS_FILES) $(LISP)
419	tags=; \
420	here=`pwd`; \
421	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
422	unique=`for i in $$list; do \
423	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
424	  done | \
425	  $(AWK) '    { files[$$0] = 1; } \
426	       END { for (i in files) print i; }'`; \
427	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
428	  test -n "$$unique" || unique=$$empty_fix; \
429	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
430	    $$tags $$unique; \
431	fi
432ctags: CTAGS
433CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
434		$(TAGS_FILES) $(LISP)
435	tags=; \
436	here=`pwd`; \
437	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
438	unique=`for i in $$list; do \
439	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
440	  done | \
441	  $(AWK) '    { files[$$0] = 1; } \
442	       END { for (i in files) print i; }'`; \
443	test -z "$(CTAGS_ARGS)$$tags$$unique" \
444	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
445	     $$tags $$unique
446
447GTAGS:
448	here=`$(am__cd) $(top_builddir) && pwd` \
449	  && cd $(top_srcdir) \
450	  && gtags -i $(GTAGS_ARGS) $$here
451
452distclean-tags:
453	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
454
455distdir: $(DISTFILES)
456	$(am__remove_distdir)
457	mkdir $(distdir)
458	$(mkdir_p) $(distdir)/debian $(distdir)/debian/po $(distdir)/plugins $(distdir)/samples $(distdir)/tools
459	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
460	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
461	list='$(DISTFILES)'; for file in $$list; do \
462	  case $$file in \
463	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
464	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
465	  esac; \
466	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
467	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
468	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
469	    dir="/$$dir"; \
470	    $(mkdir_p) "$(distdir)$$dir"; \
471	  else \
472	    dir=''; \
473	  fi; \
474	  if test -d $$d/$$file; then \
475	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
476	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
477	    fi; \
478	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
479	  else \
480	    test -f $(distdir)/$$file \
481	    || cp -p $$d/$$file $(distdir)/$$file \
482	    || exit 1; \
483	  fi; \
484	done
485	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
486	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
487	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
488	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
489	|| chmod -R a+r $(distdir)
490dist-gzip: distdir
491	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
492	$(am__remove_distdir)
493
494dist-bzip2: distdir
495	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
496	$(am__remove_distdir)
497
498dist-tarZ: distdir
499	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
500	$(am__remove_distdir)
501
502dist-shar: distdir
503	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
504	$(am__remove_distdir)
505
506dist-zip: distdir
507	-rm -f $(distdir).zip
508	zip -rq $(distdir).zip $(distdir)
509	$(am__remove_distdir)
510
511dist dist-all: distdir
512	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
513	$(am__remove_distdir)
514
515# This target untars the dist file and tries a VPATH configuration.  Then
516# it guarantees that the distribution is self-contained by making another
517# tarfile.
518distcheck: dist
519	case '$(DIST_ARCHIVES)' in \
520	*.tar.gz*) \
521	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
522	*.tar.bz2*) \
523	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
524	*.tar.Z*) \
525	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
526	*.shar.gz*) \
527	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
528	*.zip*) \
529	  unzip $(distdir).zip ;;\
530	esac
531	chmod -R a-w $(distdir); chmod a+w $(distdir)
532	mkdir $(distdir)/_build
533	mkdir $(distdir)/_inst
534	chmod a-w $(distdir)
535	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
536	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
537	  && cd $(distdir)/_build \
538	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
539	    $(DISTCHECK_CONFIGURE_FLAGS) \
540	  && $(MAKE) $(AM_MAKEFLAGS) \
541	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
542	  && $(MAKE) $(AM_MAKEFLAGS) check \
543	  && $(MAKE) $(AM_MAKEFLAGS) install \
544	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
545	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
546	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
547	        distuninstallcheck \
548	  && chmod -R a-w "$$dc_install_base" \
549	  && ({ \
550	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
551	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
552	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
553	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
554	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
555	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
556	  && rm -rf "$$dc_destdir" \
557	  && $(MAKE) $(AM_MAKEFLAGS) dist \
558	  && rm -rf $(DIST_ARCHIVES) \
559	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
560	$(am__remove_distdir)
561	@(echo "$(distdir) archives ready for distribution: "; \
562	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
563	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
564distuninstallcheck:
565	@cd $(distuninstallcheck_dir) \
566	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
567	   || { echo "ERROR: files left after uninstall:" ; \
568	        if test -n "$(DESTDIR)"; then \
569	          echo "  (check DESTDIR support)"; \
570	        fi ; \
571	        $(distuninstallcheck_listfiles) ; \
572	        exit 1; } >&2
573distcleancheck: distclean
574	@if test '$(srcdir)' = . ; then \
575	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
576	  exit 1 ; \
577	fi
578	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
579	  || { echo "ERROR: files left in build directory after distclean:" ; \
580	       $(distcleancheck_listfiles) ; \
581	       exit 1; } >&2
582check-am: all-am
583check: check-am
584all-am: Makefile $(PROGRAMS) $(MANS) config.h all-local
585installdirs:
586	for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)"; do \
587	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
588	done
589install: install-am
590install-exec: install-exec-am
591install-data: install-data-am
592uninstall: uninstall-am
593
594install-am: all-am
595	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
596
597installcheck: installcheck-am
598install-strip:
599	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
600	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
601	  `test -z '$(STRIP)' || \
602	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
603mostlyclean-generic:
604
605clean-generic:
606
607distclean-generic:
608	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
609
610maintainer-clean-generic:
611	@echo "This command is intended for maintainers to use"
612	@echo "it deletes files that may require special tools to rebuild."
613clean: clean-am
614
615clean-am: clean-generic clean-local clean-sbinPROGRAMS mostlyclean-am
616
617distclean: distclean-am
618	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
619	-rm -f Makefile
620distclean-am: clean-am distclean-compile distclean-generic \
621	distclean-hdr distclean-tags
622
623dvi: dvi-am
624
625dvi-am:
626
627html: html-am
628
629info: info-am
630
631info-am:
632
633install-data-am: install-man
634
635install-exec-am: install-exec-local install-sbinPROGRAMS
636
637install-info: install-info-am
638
639install-man: install-man5 install-man8
640
641installcheck-am:
642
643maintainer-clean: maintainer-clean-am
644	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
645	-rm -rf $(top_srcdir)/autom4te.cache
646	-rm -f Makefile
647maintainer-clean-am: distclean-am maintainer-clean-generic
648
649mostlyclean: mostlyclean-am
650
651mostlyclean-am: mostlyclean-compile mostlyclean-generic
652
653pdf: pdf-am
654
655pdf-am:
656
657ps: ps-am
658
659ps-am:
660
661uninstall-am: uninstall-info-am uninstall-local uninstall-man \
662	uninstall-sbinPROGRAMS
663
664uninstall-man: uninstall-man5 uninstall-man8
665
666.PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
667	clean clean-generic clean-local clean-sbinPROGRAMS ctags dist \
668	dist-all dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip \
669	distcheck distclean distclean-compile distclean-generic \
670	distclean-hdr distclean-tags distcleancheck distdir \
671	distuninstallcheck dvi dvi-am html html-am info info-am \
672	install install-am install-data install-data-am install-exec \
673	install-exec-am install-exec-local install-info \
674	install-info-am install-man install-man5 install-man8 \
675	install-sbinPROGRAMS install-strip installcheck \
676	installcheck-am installdirs maintainer-clean \
677	maintainer-clean-generic mostlyclean mostlyclean-compile \
678	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
679	uninstall-am uninstall-info-am uninstall-local uninstall-man \
680	uninstall-man5 uninstall-man8 uninstall-sbinPROGRAMS
681
682
683@SET_MAKE@
684
685export LIBDIR=$(libdir)/pptpd
686
687all-local:
688	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d all; done
689
690install-exec-local:
691	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) install; done
692
693clean-local:
694	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d clean; done
695
696uninstall-local:
697	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) uninstall; done
698
699package: deb rpm
700
701deb:
702	fakeroot dpkg-buildpackage -us -uc
703
704rpm:
705	fakeroot rpmbuild -ta pptpd-$(VERSION).tar.gz
706
707bcrelay.o: bcrelay.c config.h defaults.h our_syslog.h our_getopt.h
708
709compat.o: compat.c config.h compat.h our_syslog.h inststr.h
710
711configfile.o: configfile.c config.h defaults.h configfile.h our_syslog.h
712
713ctrlpacket.o: ctrlpacket.c config.h our_syslog.h pptpdefs.h pptpctrl.h \
714  ctrlpacket.h compat.h
715
716getopt.o: getopt.c config.h our_getopt.h
717
718getopt1.o: getopt1.c config.h our_getopt.h
719
720inststr.o: inststr.c config.h inststr.h compat.h
721
722pptpctrl.o: pptpctrl.c config.h our_syslog.h compat.h pptpctrl.h \
723  pptpdefs.h ctrlpacket.h defaults.h
724
725pptpd.o: pptpd.c config.h our_syslog.h our_getopt.h configfile.h \
726  defaults.h compat.h pptpmanager.h
727
728pptpmanager.o: pptpmanager.c config.h our_syslog.h configfile.h \
729  defaults.h pptpctrl.h pptpdefs.h pptpmanager.h compat.h
730# Tell versions [3.59,3.63) of GNU make to not export all variables.
731# Otherwise a system limit (for SysV at least) may be exceeded.
732.NOEXPORT:
733